/* $Id: settings.js,v 1.1.2.4 2010/07/05 08:00:42 pobster Exp $ */

Drupal.behaviors.gamertagsSettings = function(context) {
  $("input[name^=gamertags_collect_]", context).each(function() {
    if ($(this).is(':checked')) {
      Drupal.showGamertagsSettings($(this).attr('name'));
    }
    else {
      Drupal.hideGamertagsSettings($(this).attr('name'), true);
    }
  }).click(function () {
    if ($(this).is(':checked')) {
      Drupal.showGamertagsSettings($(this).attr('name'));
    }
    else {
      Drupal.hideGamertagsSettings($(this).attr('name'), false);
    }
    if ($("input[name^=gamertags_collect_]:checked", context).length == 0) {
      $("div#gamertags_message").addClass('error').text(Drupal.t("No Gamertags are set to be displayed."));
    }
    else if ($("input[name^=gamertags_collect_]:checked", context).length != 0) {
      $("div#gamertags_message").removeClass('error').text('');
    }
  });
}

Drupal.gamertagsReturnDiv = function(name) {
  switch (name) {
    case 'gamertags_collect_xbox':
      return [
        "div#edit-gamertags-xbox-url-wrapper",
        "div#edit-gamertags-mygamercard-url-wrapper",
      ]
    case 'gamertags_collect_psn':
      return [
        "div#edit-gamertags-psn-eu-url-wrapper",
        "div#edit-gamertags-psn-us-url-wrapper",
      ]
    case 'gamertags_collect_wii':
      return [
        "div#edit-gamertags-wii-url-wrapper",
      ]
    case 'gamertags_collect_steam':
      return [
        "div#edit-gamertags-steam-url-wrapper",
      ]
    default:
      return [];
  }
}

Drupal.hideGamertagsSettings = function(name, justHide) {
  var divs = Drupal.gamertagsReturnDiv(name);
  for (x in divs) {
    if (justHide) {
      $(divs[x]).css('display', 'none');
    }
    else {
      $(divs[x]).hide('slow');
    }
  }
}

Drupal.showGamertagsSettings = function(name) {
  var divs = Drupal.gamertagsReturnDiv(name);
  for (x in divs) {
    $(divs[x]).show('slow');
  }
}