<?php
// $Id: gamertags.inc,v 1.1.2.7 2010/07/05 09:05:33 pobster Exp $

/**
 * @file
 * Panels specific include file for implementing Gamertags in Panels.
 */

/**
 * Implementation of hook_ctools_content_types().
 */
function gamertags_gamertags_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Gamertags'),
    'icon' => 'icon_user.png',
    'description' => t('Gamertags from the Gamertags module.'),
    'required context' => new ctools_context_required(t('User'), 'user'),
    'category' => t('User'),
  );
} // gamertags_gamertags_ctools_content_types

/**
 * Callback for admin_title.
 */
function gamertags_gamertags_content_type_admin_title($subtype, $conf, $context = NULL) {
  $output = t('Gamertags');
  if ($conf['override_title'] && !empty($conf['override_title_text'])) {
    $output = filter_xss_admin($conf['override_title_text']);
  }
  return $output;
} // gamertags_gamertags_admin_title

/**
 * Callback for admin_info.
 */
function gamertags_gamertags_content_type_admin_info($subtype, $conf, $context = NULL) {
  $block = new stdClass();
  $block->title = !empty($conf['title']) ? check_plain($conf['title']) : '';
  if (!empty($context) && !empty($context->data->description)) {
    $block->content = check_plain($context->data->description);
  }
  return $block;
} // gamertags_gamertags_admin_info

/**
 * Callback for edit_form so we pick up %user argument.
 */
function gamertags_gamertags_content_type_edit_form(&$form, &$form_state) {
  $conf = $form_state['conf'];
  $form['gamertags_as_text'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show gamertag as text only'),
    '#default_value' => !empty($conf['gamertags_as_text']) ? $conf['gamertags_as_text'] : FALSE,
    '#description' => t('Only show the user input text for their gamertag ID, not their actual gamercard.'),
  );
  return $form;
} // gamertags_gamertags_content_type_edit_form

/**
 * Submit callback for edit_form, saves 'gamertags_as_text' config into $conf array.
 */
function gamertags_gamertags_content_type_edit_form_submit(&$form, &$form_state) {
  $form_state['conf']['gamertags_as_text'] = $form_state['values']['gamertags_as_text'];
} // gamertags_gamertags_content_type_edit_form_submit

/**
 * Callback which renders our Gamertags.
 */
function gamertags_gamertags_content_type_render($subtype, $conf, $panel_args, $context) {
  $account = isset($context->data) ? drupal_clone($context->data) : NULL;
  $block = new stdClass();
  $block->title = "Gamertags";
  if ($account) {
    $block->content = theme('gamertags_render_all', $account, $conf['gamertags_as_text']);
  }
  else {
    $block->content = t("User information not available");
  }
  return $block;
} // gamertags_gamertags_content_type_render
