<?php
// $Id: gamertags.views.inc,v 1.1.2.5 2009/11/20 21:41:21 pobster Exp $

/**
 * @file
 * Views specific include file for implementing Gamertags in Views.
 */

/**
 * Implementation of hook_views_handlers().
 */
function gamertags_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'gamertags') .'/plugins',
    ),
    'handlers' => array(
      'views_handler_field_user_gamertags' => array(
        'parent' => 'views_handler_field',
        'path' => drupal_get_path('module', 'gamertags') .'/plugins',
      ),
    )
  );
} // gamertags_views_handlers

/**
 * Implementation of hook_views_data_alter().
 */
function gamertags_views_data_alter(&$data) {
  $data['users']['gamertags'] = array(
    'real field' => 'data',
    'field' => array(
      'title' => t('Gamertags'),
      'help' => t("All the user's Gamertags."),
      'handler' => 'views_handler_field_user_gamertags',
      'click sortable' => FALSE,
    ),
  );
  $data['users']['gamertag_xbox'] = array(
    'real field' => 'data',
    'field' => array(
      'title' => t('Xbox Gamertag'),
      'help' => t("The user's Xbox Live Gamertag."),
      'handler' => 'views_handler_field_user_gamertags',
      'click sortable' => FALSE,
    ),
  );
  $data['users']['gamertag_psn'] = array(
    'real field' => 'data',
    'field' => array(
      'title' => t('PSN Gamertag'),
      'help' => t("The user's Playstation Network Gamertag."),
      'handler' => 'views_handler_field_user_gamertags',
      'click sortable' => FALSE,
    ),
  );
  $data['users']['gamertag_wii'] = array(
    'real field' => 'data',
    'field' => array(
      'title' => t('Wii Friend Code'),
      'help' => t("The user's Wii Friend Code."),
      'handler' => 'views_handler_field_user_gamertags',
      'click sortable' => FALSE,
    ),
  );
  $data['users']['gamertag_steam'] = array(
    'real field' => 'data',
    'field' => array(
      'title' => t('Steam Gamercard'),
      'help' => t("The user's Steam Gamertag."),
      'handler' => 'views_handler_field_user_gamertags',
      'click sortable' => FALSE,
    ),
  );
} // gamertags_views_data_alter
