<?php
// $Id: views_handler_field_user_gamertags.inc,v 1.1.2.7 2010/07/05 09:05:33 pobster Exp $

/**
 * @file
 * Views specific include file for implementing Gamertag handler.
 */

/**
 * Field handler for Gamertags.
 */
class views_handler_field_user_gamertags extends views_handler_field {
  function construct() {
    parent::construct();
  }
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['gamertags_as_text'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show gamertag as text only'),
      '#default_value' => $this->options['gamertags_as_text'],
      '#description' => t('Only show the user input text for their gamertag ID, not their actual gamercard.'),
    );
  }
  function render($values) {
    $data = unserialize($values->users_data);
    $account = new stdClass();
    switch ($this->field) {
      case 'gamertag_xbox':
        $account->xbox_gamertag = $data['xbox_gamertag'];
        break;
      case 'gamertag_psn':
        $account->psn_gamertag = $data['psn_gamertag'];
        $account->psn_region = $data['psn_region'];
        break;
      case 'gamertag_wii':
        $account->wii_gamertag = $data['wii_gamertag'];
        break;
      case 'gamertag_steam':
        $account->steam_gamertag = $data['steam_gamertag'];
        break;
      case 'gamertags':
        $account->xbox_gamertag = $data['xbox_gamertag'];
        $account->psn_gamertag = $data['psn_gamertag'];
        $account->psn_region = $data['psn_region'];
        $account->wii_gamertag = $data['wii_gamertag'];
        $account->steam_gamertag = $data['steam_gamertag'];
        break;
    }
    return theme('gamertags_render_all', $account, $this->options['gamertags_as_text']);
  }
} // gamertags_views_handler_field_gamertags
